unit test failure in gate nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping

Bug #1271331 reported by Joe Gordon on 2014-01-21
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Russell Bryant
Havana
High
Russell Bryant
oslo-incubator
High
Russell Bryant

Bug Description

We are occasionally seeing the test nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping fail in the gate due to

Traceback (most recent call last):
  File "nova/tests/db/test_sqlite.py", line 53, in test_big_int_mapping
    output, _ = utils.execute(get_schema_cmd, shell=True)
  File "nova/utils.py", line 166, in execute
    return processutils.execute(*cmd, **kwargs)
  File "nova/openstack/common/processutils.py", line 168, in execute
    result = obj.communicate()
  File "/usr/lib/python2.7/subprocess.py", line 754, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.7/subprocess.py", line 1314, in _communicate
    stdout, stderr = self._communicate_with_select(input)
  File "/usr/lib/python2.7/subprocess.py", line 1438, in _communicate_with_select
    data = os.read(self.stdout.fileno(), 1024)
OSError: [Errno 11] Resource temporarily unavailable

logstash query: message:"FAIL: nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping"

http://logstash.openstack.org/#eyJzZWFyY2giOiJtZXNzYWdlOlwiRkFJTDogbm92YS50ZXN0cy5kYi50ZXN0X3NxbGl0ZS5UZXN0U3FsaXRlLnRlc3RfYmlnX2ludF9tYXBwaW5nXCIiLCJmaWVsZHMiOltdLCJvZmZzZXQiOjAsInRpbWVmcmFtZSI6ImFsbCIsImdyYXBobW9kZSI6ImNvdW50IiwidGltZSI6eyJ1c2VyX2ludGVydmFsIjowfSwic3RhbXAiOjEzOTAzMzk1MTU1NDcsIm1vZGUiOiIiLCJhbmFseXplX2ZpZWxkIjoiIn0=

Matt Riedemann (mriedem) on 2014-01-21
tags: added: db testing
Matt Riedemann (mriedem) wrote :

Fix proposed to branch: master
Review: https://review.openstack.org/68275

Changed in oslo:
assignee: nobody → Russell Bryant (russellb)
status: New → In Progress

Reviewed: https://review.openstack.org/68275
Committed: https://git.openstack.org/cgit/openstack/oslo-incubator/commit/?id=af4159266f6e366a3cd7366a672f8f8b38a2f0f2
Submitter: Jenkins
Branch: master

commit af4159266f6e366a3cd7366a672f8f8b38a2f0f2
Author: Russell Bryant <email address hidden>
Date: Tue Jan 21 17:15:52 2014 -0500

    Catch OSError in processutils

    Some gate failures showed that subprocess.Popen.communicate() may raise
    an OSError where the proper response is to just call it again. This
    patch adds that handling.

    Change-Id: Ibca16d2141ca3aacacc73062757c97a3220bd02d
    Closes-bug: #1271331

Changed in oslo:
status: In Progress → Fix Committed
Matt Riedemann (mriedem) wrote :
Changed in nova:
assignee: nobody → Russell Bryant (russellb)
status: New → In Progress
Thierry Carrez (ttx) on 2014-01-23
Changed in oslo:
milestone: none → icehouse-2
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/68727
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=74ade48634e2b72ec0b09792e97ac77dfb5fd999
Submitter: Jenkins
Branch: master

commit 74ade48634e2b72ec0b09792e97ac77dfb5fd999
Author: Russell Bryant <email address hidden>
Date: Thu Jan 23 14:18:22 2014 -0500

    Re-write sqlite BigInteger mapping test

    This test makes sure that our hook that compiles BigInteger() into
    INTEGER for sqlite instead of BIGINT is working as we expect.
    Unfortunately, we've seen some problems running the sqlite command to
    check the schema.

    This patch rewrites the test to only use sqlalchemy APIs and avoid
    calling out to the sqlite command for verification.

    Change-Id: Id3964d0dd5b0ddf08ab745d6878840ff06b2f0dd
    Closes-bug: #1271331

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/68663
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=afa8ae32be1d35b50ac21b484eb1f448d310dd08
Submitter: Jenkins
Branch: master

commit afa8ae32be1d35b50ac21b484eb1f448d310dd08
Author: Russell Bryant <email address hidden>
Date: Thu Jan 23 10:07:18 2014 -0500

    Sync processutils from oslo-incubator

    This includes the following changes:

      af41592 Catch OSError in processutils
      f773ea2 Fix i18n problem in processutils module
      8b2b0b7 Use hacking import_exceptions for gettextutils._
      3b71f46 Fixed misspellings of common words
      12bcdb7 Remove vim header
      a4dab73 Correct execute() to check 0 in check_exit_code

    Closes-bug: #1271331
    Change-Id: I12b621fa5a2cdeeab6d51902416ce5dd4db61ba7

Alan Pevec (apevec) on 2014-01-24
Changed in nova:
importance: Undecided → High
Changed in oslo:
importance: Undecided → High

Reviewed: https://review.openstack.org/68921
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=b08e8ab2dc65319670d99c81bec3af04fbb6d25f
Submitter: Jenkins
Branch: stable/havana

commit b08e8ab2dc65319670d99c81bec3af04fbb6d25f
Author: Russell Bryant <email address hidden>
Date: Thu Jan 23 14:18:22 2014 -0500

    Re-write sqlite BigInteger mapping test

    This test makes sure that our hook that compiles BigInteger() into
    INTEGER for sqlite instead of BIGINT is working as we expect.
    Unfortunately, we've seen some problems running the sqlite command to
    check the schema.

    This patch rewrites the test to only use sqlalchemy APIs and avoid
    calling out to the sqlite command for verification.

    Change-Id: Id3964d0dd5b0ddf08ab745d6878840ff06b2f0dd
    Closes-bug: #1271331
    (cherry picked from commit 74ade48634e2b72ec0b09792e97ac77dfb5fd999)

Changed in nova:
milestone: none → icehouse-3
Thierry Carrez (ttx) on 2014-03-05
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in oslo:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-3 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers